include "basics/pts.ma".
include "connectives.ma".
include "leibniz.ma".
axiom nat : Type[0].
axiom filter_nat_type : \forall return_ : Type[0] . (nat -> return_) -> nat -> return_.
axiom times : nat -> nat -> nat.
axiom times_body : nat -> nat -> nat.
axiom axiom_times : \forall (n:nat). (equal) (nat -> nat) ((times)  n) ((filter_nat_type) (nat -> nat) (times_body)  n).
definition eq_times : \forall (n:nat). (leibniz) (nat -> nat) ((times)  n) ((filter_nat_type) (nat -> nat) (times_body)  n) := \lambda n : nat. ((((equal_leibniz) (nat -> nat)) ((times)  n)) ((filter_nat_type) (nat -> nat) (times_body)  n)) ((axiom_times) (n)).
definition sym_eq_times : \forall (n:nat). (leibniz) (nat -> nat) ((filter_nat_type) (nat -> nat) (times_body)  n) ((times)  n) := \lambda n : nat. ((((sym_leibniz) (nat -> nat)) ((times)  n)) ((filter_nat_type) (nat -> nat) (times_body)  n)) ((eq_times) (n)).
